Skip to main content
PUT
/
groups
/
{network}
/
{id}
Update Group
curl --request PUT \
  --url https://api.pinata.cloud/v3/groups/{network}/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Updated Name",
  "is_public": true
}
'
import requests

url = "https://api.pinata.cloud/v3/groups/{network}/{id}"

payload = {
"name": "Updated Name",
"is_public": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Updated Name', is_public: true})
};

fetch('https://api.pinata.cloud/v3/groups/{network}/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "01919ac8-a6f5-7e8e-a8a2-6cfe00122b90",
    "name": "Updated Name",
    "is_public": true,
    "created_at": "2024-08-28T20:58:46.96779Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

network
enum<string>
required

Target either the public or private IPFS network

Available options:
public,
private
id
string
required

The ID of the target group

Body

application/json
name
string

Updated name for target group

is_public
boolean

Toggle if group is public or not

Response

200 - application/json

OK

data
object